#include "c2d2/chien2d2.h"

extern unsigned int spmira;
extern unsigned int botao_voltar;
extern int estadoatual;
extern unsigned int fonte32;

void TelaCreditos()//TELA DE CREDITOS
{
	C2D2_Botao *teclas = C2D2_PegaTeclas();
    C2D2_Mouse *mouse = C2D2_PegaMouse();
    int voltar=0;
	C2D2_Sincroniza(C2D2_FPS_PADRAO);
    C2D2_TrocaCorLimpezaTela(180, 180, 180);
	do
	{
        if(teclas[C2D2_ESC].pressionado)
            estadoatual=1;
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_voltar, 0, 550, 518))
            voltar=1;
        else
            voltar=0;
        if(mouse->botoes[C2D2_MESQUERDO].pressionado)
        {
            if(voltar==1)
                estadoatual=1;
        }
		C2D2_LimpaTela();
		C2D2_DesenhaTexto(fonte32, 400, 45, "Development team:", C2D2_TEXTO_CENTRALIZADO);
		C2D2_DesenhaTexto(fonte32, 400, 84, "Lucas Zimerman - Game designer and developer", C2D2_TEXTO_CENTRALIZADO);
		C2D2_DesenhaTexto(fonte32, 400, 118, "Rodrigo Pimpćo - Developer", C2D2_TEXTO_CENTRALIZADO);
        C2D2_DesenhaSprite(botao_voltar, voltar, 550,518);
        C2D2_DesenhaSprite(spmira, 0, mouse->x, mouse->y);
		C2D2_Sincroniza(C2D2_FPS_PADRAO);
	}
	while(estadoatual==3);
}